.custom-background {
  background-image: url(https://images.unsplash.com/photo-1526815456940-2c11653292a2?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1050&q=80);

  /* Center and scale the image nicely */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

  position: absolute;
  top: 0;
  left: 0;

  /* Preserve aspet ratio */
  min-width: 100%;
  min-height: 100%;
}

.container {
  width: 100%;
  padding-top: 100px;
  padding-bottom: 100px;
}

.frame {
  height: 600px;
  width: 430px;
  background: linear-gradient(rgba(35, 43, 85, 0.75), rgba(35, 43, 85, 0.95)), url(https://images.unsplash.com/photo-1526815456940-2c11653292a2?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1050&q=80) no-repeat top center;
  background-size: 1700px;
  background-position-x: 650px;
  margin-left: auto;
  margin-right: auto;
  border-top: solid 1px rgba(255, 255, 255, .5);
  border-radius: 5px;
  box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  transition: all .5s ease
}

.frame-long {
  height: 1030px;
  width: 430px;
  background: linear-gradient(rgba(35, 43, 85, 0.75), rgba(35, 43, 85, 0.95)), url(https://images.unsplash.com/photo-1526815456940-2c11653292a2?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1050&q=80) no-repeat top center;
  background-size: 1720px;
  background-position-y: -63px;
  background-position-x: 670px;
  margin-left: auto;
  margin-right: auto;
  border-top: solid 1px rgba(255, 255, 255, .5);
  border-radius: 5px;
  box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  transition: all .5s ease
}

.nav {
  width: 100%;
  height: 100px;
  padding-top: 20px;
  opacity: 1;
  transition: all .5s ease
}

li {
  padding-left: 10px;
  font-size: 18px;
  display: inline;
  text-align: left;
  text-transform: uppercase;
  padding-right: 10px;
}

.btn {
  color: #ffffff
}

:focus {
  outline: none
}

.form-signin input:focus,
textarea:focus,
.form-signup input:focus,
textarea:focus {
  background: rgba(255, 255, 255, .3);
  border: none;
  padding-right: 40px;
  transition: background .5s ease
}

h1 {
  color: #ffffff;
  font-size: 35px;
  font-weight: 300;
  text-align: center
}

label {
  font-weight: 400;
  text-transform: uppercase;
  font-size: 15px;
  padding-left: 15px;
  padding-bottom: 10px;
  color: rgba(255, 255, 255, .7);
  display: block
}

.form-signin {
  width: 430px;
  height: 375px;
  font-size: 16px;
  font-weight: 300;
  padding-left: 37px;
  padding-right: 37px;
  padding-top: 55px;
  transition: opacity .5s ease, transform .5s ease
}

.form-signin input {
  color: #ffffff;
  font-size: 15px
}

.form-styling {
  width: 100%;
  height: 40px;
  padding-left: 15px;
  border: none;
  border-radius: 20px;
  background: rgba(255, 255, 255, .2)
}

.btn-signin {
  float: left;
  width: 100%;
  height: 35px;
  border: none;
  border-radius: 20px;
  margin-top: 60px
}


.form-signin-left {
  transform: translateX(-400px);
  opacity: .0
}

.signin-active a {
  padding-bottom: 10px;
  color: #ffffff;
  text-decoration: none;
  border-bottom: solid 2px #1059FF;
  transition: all .25s ease;
  cursor: pointer
}

.signin-inactive a {
  padding-bottom: 0;
  color: rgba(255, 255, 255, .3);
  text-decoration: none;
  border-bottom: none;
  cursor: pointer
}

a.btn-signin:hover {
  cursor: pointer;
  background-color: #0F4FE6;
  transition: background-color .5s
}

mat-card {
  max-width: 400px;
  min-width: 400px;
  margin: 2em auto;
  text-align: center;
}

mat-form-field {
  display: block;
}


.form-signup {
  width: 430px;
  height: 920px;
  font-size: 16px;
  font-weight: 300;
  padding-left: 37px;
  padding-right: 37px;
  padding-top: 55px;
  position: relative;
  top: -290px;
  transition: all .5s ease
}

.form-signup input {
  color: #ffffff;
  font-size: 15px
}

.signup-active a {
  cursor: pointer;
  color: #ffffff;
  text-decoration: none;
  border-bottom: solid 2px #1059FF;
  padding-bottom: 10px
}

.signup-inactive a {
  cursor: pointer;
  color: rgba(255, 255, 255, .3);
  text-decoration: none;
  transition: all .25s ease
}

.form-signup-left {
  transform: translateX(440px);
  opacity: 1
}

.form-signup-down {
  top: 0px;
  opacity: 0
}


.btn-signup {
  float: left;
  font-weight: 700;
  text-transform: uppercase;
  font-size: 13px;
  text-align: center;
  color: #ffffff;
  width: 100%;
  height: 35px;
  border: none;
  border-radius: 20px;
  margin-top: 80px;
  background-color: #1059FF
}

button.btn-signup:hover {
  cursor: pointer;
  background-color: #0F4FE6;
  transition: background-color .5s
}

mat-error {
  font-size: 14px;
}
